package com.goomood.phm.mapper;

import java.util.List;
import com.goomood.phm.domain.FaultCase;

/**
 * 故障案例Mapper接口
 * 
 * @author goomood
 * @date 2024-11-17
 */
public interface FaultCaseMapper 
{
    /**
     * 查询故障案例
     * 
     * @param id 故障案例主键
     * @return 故障案例
     */
    public FaultCase selectFaultCaseById(Long id);

    /**
     * 查询故障案例列表
     * 
     * @param faultCase 故障案例
     * @return 故障案例集合
     */
    public List<FaultCase> selectFaultCaseList(FaultCase faultCase);

    /**
     * 新增故障案例
     * 
     * @param faultCase 故障案例
     * @return 结果
     */
    public int insertFaultCase(FaultCase faultCase);

    /**
     * 修改故障案例
     * 
     * @param faultCase 故障案例
     * @return 结果
     */
    public int updateFaultCase(FaultCase faultCase);

    /**
     * 删除故障案例
     * 
     * @param id 故障案例主键
     * @return 结果
     */
    public int deleteFaultCaseById(Long id);

    /**
     * 批量删除故障案例
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaultCaseByIds(Long[] ids);
}
